package com.s3ai.controllers.cinemas;

import com.s3ai.services.CinemaService;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public class CinemasList extends HttpServlet {

    private CinemaService cinemaService = CinemaService.getInstance();

    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        System.out.println("doGet");
        RequestDispatcher dispatcher = request.getRequestDispatcher("pages/cinemas/list.jsp");
        request.getSession().setAttribute("cinemas", cinemaService.getAllCinemas());
        dispatcher.forward(request, response);
    }
}